Skip to content

Summary of devices​

GET
/users/{id}/getDeviceSummary

Lists all devices for a user, with a summary of state, including most resent points.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

user id

Type
string
Required
Format
"JSON"

Query Parameters

pointCount

Maximum number of points to return per device. Default 5.

Type
string
Format
"JSON"
dateRange

What date range to consider when retrieving recent points. Typical use is [TimeOfLastPointDownload, NOW]. Defaults to all time.

Type
string
Format
"JSON"
hideApprox

Don't include GSM / poor accuracy locations. Default to false.

Type
string
Format
"JSON"

Request example

Responses​

Request was successful

application/json
JSON
[
  
{
  
  
"id": 0,
  
  
"name": "string",
  
  
"serial": "string",
  
  
"type": "string",
  
  
"latestPoints": [
  
  
  
{
  
  
  
  
"location": {
  
  
  
  
  
"lng": 0,
  
  
  
  
  
"lat": 0
  
  
  
  
},
  
  
  
  
"timestamp": "string",
  
  
  
  
"speed": 0,
  
  
  
  
"altitude": 0,
  
  
  
  
"course": 0,
  
  
  
  
"sendReason": 0,
  
  
  
  
"accuracy": 0,
  
  
  
  
"locationType": "string",
  
  
  
  
"averageCharge": 0,
  
  
  
  
"created": "string",
  
  
  
  
"address": "string",
  
  
  
  
"alertType": "string",
  
  
  
  
"gsmSignal": 0,
  
  
  
  
"correlationId": "string",
  
  
  
  
"id": 0,
  
  
  
  
"deviceId": 0
  
  
  
}
  
  
],
  
  
"config": {
  
  
},
  
  
"subscription": {
  
  
}
  
}
]
Try this endpoint

Playground​

Authorization
Variables
Key
Value

OpenAPI definition ​

References are expanded below, except recursive definitions and references with sibling fields. Documentation overrides are included. Full original OpenAPI spec (JSON).

View endpoint OpenAPI definition
yaml
openapi: 3.1.0
info:
  version: 1.1.0
  title: TrackingAPI
  description: V1 API for retrieving tracking data and changing settings on Lightbug devices
servers:
  - url: https://api.lightbug.cloud/api
externalDocs: {}
security:
  - ApiKeyAuth: []
tags:
  - name: device
paths:
  /users/{id}/getDeviceSummary:
    get:
      tags:
        - device
      summary: Summary of devices
      parameters:
        - name: id
          in: path
          description: user id
          required: true
          schema:
            type: string
            format: JSON
        - name: pointCount
          in: query
          description: Maximum number of points to return per device. Default 5.
          required: false
          schema:
            type: string
            format: JSON
        - name: dateRange
          in: query
          description: What date range to consider when retrieving recent points. Typical use is [TimeOfLastPointDownload, NOW]. Defaults to all time.
          required: false
          schema:
            type: string
            format: JSON
        - name: hideApprox
          in: query
          description: Don't include GSM / poor accuracy locations. Default to false.
          required: false
          schema:
            type: string
            format: JSON
      responses:
'200':
yaml
          description: Request was successful
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                    name:
                      type: string
                    serial:
                      type: string
                    type:
                      type: string
                    latestPoints:
                      type: array
                      items:
                        type: object
                        properties:
                          location:
                            type: object
                            properties:
                              lng:
                                type: number
                              lat:
                                type: number
                          timestamp:
                            type: string
                            format: date-time
                          speed:
                            type:
                              - number
                              - 'null'
                          altitude:
                            type:
                              - number
                              - 'null'
                          course:
                            type:
                              - number
                              - 'null'
                          sendReason:
                            type: number
                          accuracy:
                            type: number
                          locationType:
                            type: string
                          averageCharge:
                            type:
                              - number
                              - 'null'
                          created:
                            type: string
                            format: date-time
                          address:
                            type: string
                          alertType:
                            type:
                              - string
                              - 'null'
                          gsmSignal:
                            type: number
                          correlationId:
                            type: string
                          id:
                            type: number
                          deviceId:
                            type: number
                    config:
                      type: object
                    subscription:
                      type: object
yaml
      deprecated: false
      security:
        - ApiKeyAuth: []
      operationId: get-users-id-getDeviceSummary
      description: Lists all devices for a user, with a summary of state, including most resent points.
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey
      description: API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See <a href='/apis/authentication'>Authentication</a> for more details.
      example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...